--Passez ces drop avant de faire les insertions, sql developper a tendance a commencer les sequences à partir de 2
DROP SEQUENCE CSE.CIRCUIT_VALIDATION_SEQ;
DROP SEQUENCE CSE.ETAPE_SEQ;
DROP SEQUENCE CSE.CHEMIN_SEQ;
CREATE SEQUENCE CSE.CIRCUIT_VALIDATION_SEQ START WITH 1 INCREMENT BY 1 MINVALUE 1 NOCYCLE NOORDER;
CREATE SEQUENCE CSE.ETAPE_SEQ START WITH 1 INCREMENT BY 1 MINVALUE 1 NOCYCLE NOORDER;
CREATE SEQUENCE CSE.CHEMIN_SEQ START WITH 1 INCREMENT BY 1 MINVALUE 1 NOCYCLE NOORDER;


--CIRCUIT_VALIDATION
Insert into CSE.CIRCUIT_VALIDATION(ID_CIRCUIT_VALIDATION, C_CIRCUIT_VALIDATION, LL_CIRCUIT_VALIDATION) values (CSE.CIRCUIT_VALIDATION_SEQ.NEXTVAL, 'PECHE_PREVISIONNEL', 'Circuit par défaut : REPARTITEUR, ENSEIGNANT, DIRECTEUR COMPOSANTE, PRESIDENT');
Insert into CSE.CIRCUIT_VALIDATION(ID_CIRCUIT_VALIDATION, C_CIRCUIT_VALIDATION, LL_CIRCUIT_VALIDATION) values (CSE.CIRCUIT_VALIDATION_SEQ.NEXTVAL, 'PECHE_TITULAIRE', 'Circuit où la DRH est optionnel : REPARTITEUR, ENSEIGNANT, DIRECTEUR COMPOSANTE, DRH, PRESIDENT');
Insert into CSE.CIRCUIT_VALIDATION(ID_CIRCUIT_VALIDATION, C_CIRCUIT_VALIDATION, LL_CIRCUIT_VALIDATION) values (CSE.CIRCUIT_VALIDATION_SEQ.NEXTVAL, 'PECHE_VACATAIRE', 'Circuit où la DRH est obligatoire : REPARTITEUR, DRH, ENSEIGNANT, DIRECTEUR COMPOSANTE, PRESIDENT');

--ETAPE
--Fiche de service prévisionnel
Insert into CSE.ETAPE(ID_ETAPE, C_ETAPE, LL_ETAPE, ID_CIRCUIT_VALIDATION, TEM_ETAPE_INITIALE) values (CSE.ETAPE_SEQ.NEXTVAL, 'INITIALE', 'Etape intiale', 1, 'O');
Insert into CSE.ETAPE(ID_ETAPE, C_ETAPE, LL_ETAPE, ID_CIRCUIT_VALIDATION) values (CSE.ETAPE_SEQ.NEXTVAL, 'VALID_ENSEIGNANT', 'Validation par l''enseignant', 1);
Insert into CSE.ETAPE(ID_ETAPE, C_ETAPE, LL_ETAPE, ID_CIRCUIT_VALIDATION) values (CSE.ETAPE_SEQ.NEXTVAL, 'VALID_REPARTITEUR', 'Validation par le répartiteur', 1);
Insert into CSE.ETAPE(ID_ETAPE, C_ETAPE, LL_ETAPE, ID_CIRCUIT_VALIDATION) values (CSE.ETAPE_SEQ.NEXTVAL, 'VALID_DIR_COMPOSANTE', 'Validation par le directeur de la composante', 1);
Insert into CSE.ETAPE(ID_ETAPE, C_ETAPE, LL_ETAPE, ID_CIRCUIT_VALIDATION) values (CSE.ETAPE_SEQ.NEXTVAL, 'VALID_PRESIDENT', 'Validation par le président', 1);
Insert into CSE.ETAPE(ID_ETAPE, C_ETAPE, LL_ETAPE, ID_CIRCUIT_VALIDATION) values (CSE.ETAPE_SEQ.NEXTVAL, 'REFUS_PRESIDENT', 'Refus de validation par le président', 1);

--Circuit de validation d'un enseignant non vacataire
Insert into CSE.ETAPE(ID_ETAPE, C_ETAPE, LL_ETAPE, ID_CIRCUIT_VALIDATION, TEM_ETAPE_INITIALE) values (CSE.ETAPE_SEQ.NEXTVAL, 'INITIALE', 'Etape intiale', 2, 'O');
Insert into CSE.ETAPE(ID_ETAPE, C_ETAPE, LL_ETAPE, ID_CIRCUIT_VALIDATION) values (CSE.ETAPE_SEQ.NEXTVAL, 'VALID_REPARTITEUR', 'Validation par le répartiteur', 2);
Insert into CSE.ETAPE(ID_ETAPE, C_ETAPE, LL_ETAPE, ID_CIRCUIT_VALIDATION) values (CSE.ETAPE_SEQ.NEXTVAL, 'VALID_ENSEIGNANT', 'Validation par l''enseignant', 2);
Insert into CSE.ETAPE(ID_ETAPE, C_ETAPE, LL_ETAPE, ID_CIRCUIT_VALIDATION) values (CSE.ETAPE_SEQ.NEXTVAL, 'REFUS_ENSEIGNANT', 'Refus de validation par l''enseignant', 2);
Insert into CSE.ETAPE(ID_ETAPE, C_ETAPE, LL_ETAPE, ID_CIRCUIT_VALIDATION) values (CSE.ETAPE_SEQ.NEXTVAL, 'VALID_DIR_COMPOSANTE', 'Validation par le directeur de la composante', 2);
Insert into CSE.ETAPE(ID_ETAPE, C_ETAPE, LL_ETAPE, ID_CIRCUIT_VALIDATION) values (CSE.ETAPE_SEQ.NEXTVAL, 'REFUS_DIR_COMPOSANTE', 'Refus de validation par le directeur de la composante', 2);
Insert into CSE.ETAPE(ID_ETAPE, C_ETAPE, LL_ETAPE, ID_CIRCUIT_VALIDATION) values (CSE.ETAPE_SEQ.NEXTVAL, 'VALID_DRH', 'Validation par la direction des ressoures humaines', 2);
Insert into CSE.ETAPE(ID_ETAPE, C_ETAPE, LL_ETAPE, ID_CIRCUIT_VALIDATION) values (CSE.ETAPE_SEQ.NEXTVAL, 'VALID_PRESIDENT', 'Validation par le président', 2);
Insert into CSE.ETAPE(ID_ETAPE, C_ETAPE, LL_ETAPE, ID_CIRCUIT_VALIDATION) values (CSE.ETAPE_SEQ.NEXTVAL, 'REFUS_PRESIDENT', 'Refus de validation par le président', 2);

--Circuit de validation d'un enseignant vacataire
Insert into CSE.ETAPE(ID_ETAPE, C_ETAPE, LL_ETAPE, ID_CIRCUIT_VALIDATION, TEM_ETAPE_INITIALE) values (CSE.ETAPE_SEQ.NEXTVAL, 'INITIALE', 'Etape intiale', 3, 'O');
Insert into CSE.ETAPE(ID_ETAPE, C_ETAPE, LL_ETAPE, ID_CIRCUIT_VALIDATION) values (CSE.ETAPE_SEQ.NEXTVAL, 'VALID_REPARTITEUR', 'Validation par le répartiteur', 3);
Insert into CSE.ETAPE(ID_ETAPE, C_ETAPE, LL_ETAPE, ID_CIRCUIT_VALIDATION) values (CSE.ETAPE_SEQ.NEXTVAL, 'VALID_DRH', 'Validation par la direction des ressoures humaines', 3);
Insert into CSE.ETAPE(ID_ETAPE, C_ETAPE, LL_ETAPE, ID_CIRCUIT_VALIDATION) values (CSE.ETAPE_SEQ.NEXTVAL, 'REFUS_DRH', 'Validation par la direction des ressoures humaines', 3);
Insert into CSE.ETAPE(ID_ETAPE, C_ETAPE, LL_ETAPE, ID_CIRCUIT_VALIDATION) values (CSE.ETAPE_SEQ.NEXTVAL, 'VALID_ENSEIGNANT', 'Validation par l''enseignant', 3);
Insert into CSE.ETAPE(ID_ETAPE, C_ETAPE, LL_ETAPE, ID_CIRCUIT_VALIDATION) values (CSE.ETAPE_SEQ.NEXTVAL, 'REFUS_ENSEIGNANT', 'Refus de validation par l''enseignant', 3);
Insert into CSE.ETAPE(ID_ETAPE, C_ETAPE, LL_ETAPE, ID_CIRCUIT_VALIDATION) values (CSE.ETAPE_SEQ.NEXTVAL, 'VALID_DIR_COMPOSANTE', 'Validation par le directeur de la composante', 3);
Insert into CSE.ETAPE(ID_ETAPE, C_ETAPE, LL_ETAPE, ID_CIRCUIT_VALIDATION) values (CSE.ETAPE_SEQ.NEXTVAL, 'REFUS_DIR_COMPOSANTE', 'Refus de validation par le directeur de la composante', 3);
Insert into CSE.ETAPE(ID_ETAPE, C_ETAPE, LL_ETAPE, ID_CIRCUIT_VALIDATION) values (CSE.ETAPE_SEQ.NEXTVAL, 'VALID_PRESIDENT', 'Validation par le président', 3);
Insert into CSE.ETAPE(ID_ETAPE, C_ETAPE, LL_ETAPE, ID_CIRCUIT_VALIDATION) values (CSE.ETAPE_SEQ.NEXTVAL, 'REFUS_PRESIDENT', 'Refus de validation par le président', 3);

--CHEMIN
--Circuit pour une fiche prévisonnelle
Insert into CSE.CHEMIN(ID_CHEMIN, ID_ETAPE_DEPART, ID_ETAPE_ARRIVEE) values (CSE.CHEMIN_SEQ.NEXTVAL, 1, 3);
Insert into CSE.CHEMIN(ID_CHEMIN, ID_ETAPE_DEPART, ID_ETAPE_ARRIVEE) values (CSE.CHEMIN_SEQ.NEXTVAL, 3, 2);
Insert into CSE.CHEMIN(ID_CHEMIN, ID_ETAPE_DEPART, ID_ETAPE_ARRIVEE) values (CSE.CHEMIN_SEQ.NEXTVAL, 2, 3);
Insert into CSE.CHEMIN(ID_CHEMIN, ID_ETAPE_DEPART, ID_ETAPE_ARRIVEE) values (CSE.CHEMIN_SEQ.NEXTVAL, 3, 4);
Insert into CSE.CHEMIN(ID_CHEMIN, ID_ETAPE_DEPART, ID_ETAPE_ARRIVEE) values (CSE.CHEMIN_SEQ.NEXTVAL, 4, 2);
Insert into CSE.CHEMIN(ID_CHEMIN, ID_ETAPE_DEPART, ID_ETAPE_ARRIVEE) values (CSE.CHEMIN_SEQ.NEXTVAL, 2, 4);
Insert into CSE.CHEMIN(ID_CHEMIN, ID_ETAPE_DEPART, ID_ETAPE_ARRIVEE) values (CSE.CHEMIN_SEQ.NEXTVAL, 2, 5);
Insert into CSE.CHEMIN(ID_CHEMIN, ID_ETAPE_DEPART, ID_ETAPE_ARRIVEE) values (CSE.CHEMIN_SEQ.NEXTVAL, 2, 6);
Insert into CSE.CHEMIN(ID_CHEMIN, ID_ETAPE_DEPART, ID_ETAPE_ARRIVEE) values (CSE.CHEMIN_SEQ.NEXTVAL, 6, 3);
--Circuit de validation d'un enseignant non vacataire
Insert into CSE.CHEMIN(ID_CHEMIN, ID_ETAPE_DEPART, ID_ETAPE_ARRIVEE) values (CSE.CHEMIN_SEQ.NEXTVAL, 7, 8);
Insert into CSE.CHEMIN(ID_CHEMIN, ID_ETAPE_DEPART, ID_ETAPE_ARRIVEE) values (CSE.CHEMIN_SEQ.NEXTVAL, 8, 9);
Insert into CSE.CHEMIN(ID_CHEMIN, ID_ETAPE_DEPART, ID_ETAPE_ARRIVEE) values (CSE.CHEMIN_SEQ.NEXTVAL, 8, 10);
Insert into CSE.CHEMIN(ID_CHEMIN, ID_ETAPE_DEPART, ID_ETAPE_ARRIVEE) values (CSE.CHEMIN_SEQ.NEXTVAL, 9, 11);
Insert into CSE.CHEMIN(ID_CHEMIN, ID_ETAPE_DEPART, ID_ETAPE_ARRIVEE) values (CSE.CHEMIN_SEQ.NEXTVAL, 9, 12);
Insert into CSE.CHEMIN(ID_CHEMIN, ID_ETAPE_DEPART, ID_ETAPE_ARRIVEE) values (CSE.CHEMIN_SEQ.NEXTVAL, 12, 8);
Insert into CSE.CHEMIN(ID_CHEMIN, ID_ETAPE_DEPART, ID_ETAPE_ARRIVEE) values (CSE.CHEMIN_SEQ.NEXTVAL, 11, 14);
Insert into CSE.CHEMIN(ID_CHEMIN, ID_ETAPE_DEPART, ID_ETAPE_ARRIVEE) values (CSE.CHEMIN_SEQ.NEXTVAL, 11, 15);
Insert into CSE.CHEMIN(ID_CHEMIN, ID_ETAPE_DEPART, ID_ETAPE_ARRIVEE) values (CSE.CHEMIN_SEQ.NEXTVAL, 11, 13);
Insert into CSE.CHEMIN(ID_CHEMIN, ID_ETAPE_DEPART, ID_ETAPE_ARRIVEE) values (CSE.CHEMIN_SEQ.NEXTVAL, 13, 14);
Insert into CSE.CHEMIN(ID_CHEMIN, ID_ETAPE_DEPART, ID_ETAPE_ARRIVEE) values (CSE.CHEMIN_SEQ.NEXTVAL, 13, 15);
Insert into CSE.CHEMIN(ID_CHEMIN, ID_ETAPE_DEPART, ID_ETAPE_ARRIVEE) values (CSE.CHEMIN_SEQ.NEXTVAL, 15, 8);
--Circuit de validation d'un enseignant vacataire
Insert into CSE.CHEMIN(ID_CHEMIN, ID_ETAPE_DEPART, ID_ETAPE_ARRIVEE) values (CSE.CHEMIN_SEQ.NEXTVAL, 16, 17);
Insert into CSE.CHEMIN(ID_CHEMIN, ID_ETAPE_DEPART, ID_ETAPE_ARRIVEE) values (CSE.CHEMIN_SEQ.NEXTVAL, 17, 18);
Insert into CSE.CHEMIN(ID_CHEMIN, ID_ETAPE_DEPART, ID_ETAPE_ARRIVEE) values (CSE.CHEMIN_SEQ.NEXTVAL, 17, 19);
Insert into CSE.CHEMIN(ID_CHEMIN, ID_ETAPE_DEPART, ID_ETAPE_ARRIVEE) values (CSE.CHEMIN_SEQ.NEXTVAL, 18, 20);
Insert into CSE.CHEMIN(ID_CHEMIN, ID_ETAPE_DEPART, ID_ETAPE_ARRIVEE) values (CSE.CHEMIN_SEQ.NEXTVAL, 18, 21);
Insert into CSE.CHEMIN(ID_CHEMIN, ID_ETAPE_DEPART, ID_ETAPE_ARRIVEE) values (CSE.CHEMIN_SEQ.NEXTVAL, 19, 17);
Insert into CSE.CHEMIN(ID_CHEMIN, ID_ETAPE_DEPART, ID_ETAPE_ARRIVEE) values (CSE.CHEMIN_SEQ.NEXTVAL, 20, 22);
Insert into CSE.CHEMIN(ID_CHEMIN, ID_ETAPE_DEPART, ID_ETAPE_ARRIVEE) values (CSE.CHEMIN_SEQ.NEXTVAL, 20, 23);
Insert into CSE.CHEMIN(ID_CHEMIN, ID_ETAPE_DEPART, ID_ETAPE_ARRIVEE) values (CSE.CHEMIN_SEQ.NEXTVAL, 21, 17);
Insert into CSE.CHEMIN(ID_CHEMIN, ID_ETAPE_DEPART, ID_ETAPE_ARRIVEE) values (CSE.CHEMIN_SEQ.NEXTVAL, 23, 17);
Insert into CSE.CHEMIN(ID_CHEMIN, ID_ETAPE_DEPART, ID_ETAPE_ARRIVEE) values (CSE.CHEMIN_SEQ.NEXTVAL, 22, 18);
Insert into CSE.CHEMIN(ID_CHEMIN, ID_ETAPE_DEPART, ID_ETAPE_ARRIVEE) values (CSE.CHEMIN_SEQ.NEXTVAL, 22, 24);
Insert into CSE.CHEMIN(ID_CHEMIN, ID_ETAPE_DEPART, ID_ETAPE_ARRIVEE) values (CSE.CHEMIN_SEQ.NEXTVAL, 22, 25);
Insert into CSE.CHEMIN(ID_CHEMIN, ID_ETAPE_DEPART, ID_ETAPE_ARRIVEE) values (CSE.CHEMIN_SEQ.NEXTVAL, 18, 24);
Insert into CSE.CHEMIN(ID_CHEMIN, ID_ETAPE_DEPART, ID_ETAPE_ARRIVEE) values (CSE.CHEMIN_SEQ.NEXTVAL, 18, 25);
Insert into CSE.CHEMIN(ID_CHEMIN, ID_ETAPE_DEPART, ID_ETAPE_ARRIVEE) values (CSE.CHEMIN_SEQ.NEXTVAL, 25, 17);


